package com.ruoyi.thirduser.enumtype;

import lombok.Data;

public enum UserEnum {

    SysUser(0,"系统用户"),
    MailUser(1,"邮箱用户"),
    MpUser(2,"公众号"),
    MiniAppUser(3,"微信小程序");


    Integer type;

    String desc;

    UserEnum(Integer type,String desc) {
        this.type = type;
        this.desc = desc;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }
}
